Retrieve card

GET
https://example.flowfast.io/api/latest/cards/{card_id}

⚠️ Starting late August, /api/column and column schemas will only use card_hide_after_days. The months_to_hide_cards attribute is deprecated and will be removed — update your code to use card_hide_after_days only.

Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Query
NameTypeConstraintsDescription
broken_apibooleanBackward compatibility flag for user-type custom properties. true (default until 2026-04-01): returns user UID strings. false: returns user integer IDs. Recommended: use broken_api=false for new integrations.
Responses

200
DescriptionResponse typeExample
SuccessObjects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Card archived flag
id

integer

Card id
title

string

Card title
description

null | string

Card description
asap

boolean

Card asap flag
due_date

null | string

Card deadline
sort_order

number

Position
fifo_order

integer

Number of card in the cell when fifo rule applied to cards column
state

enum

1-queued, 2-inProgress, 3-done
condition

enum

1 - live, 2 - archived
expires_later

boolean

Fixed deadline or not. Date dependant flag in terms of Kanban
parents_count

integer

Card parents count
children_count

integer

Card children count
children_done

integer

Card children done count
has_blocked_children

boolean

Flag indicating that card has blocked children
goals_total

integer

Card goals count
goals_done

integer

Number of card done goals
time_spent_sum

integer

Amount of time spent(in minutes)
time_blocked_sum

integer

Amount of blocked time(in minutes)
children_number_properties_sum

null | object

Schema
Sum according to numerical data of child cards
calculated_planned_start

null | string

Calculated planned start
calculated_planned_end

null | string

Calculated planned end
parent_checklist_ids

null | array

Array of card parent checklist ids
parents_ids

null | array

Array of card parent ids
children_ids

null | array

Array of card children ids
blocking_card

boolean

Is card blocking another card
blocked

boolean

Is card blocked
size

null | number

Numerical part of size
size_unit

null | string

Text part of size
size_text

null | string

Size. Example of acceptable values: '1', '23.45', '.5', 'S', '3 M', 'L', 'XL', etc...
due_date_time_present

boolean

Flag indicating that deadline is specified up to hours and minutes
board_id

integer

Board id
column_id

integer

Column id
lane_id

integer

Lane id
owner_id

integer

Card owner id
type_id

integer

Card type id
version

integer

Card version
updater_id

integer

User id who last updated card
completed_on_time

null | boolean

Flag indicating that card completed on time when due date present
completed_at

null | string

Date when card moved to done type column
last_moved_at

null | string

Date when card last moved
lane_changed_at

null | string

Date when card changed lane
column_changed_at

null | string

Date when card changed column
first_moved_to_in_progress_at

null | string

Date when card first moved to inProgress type column
last_moved_to_done_at

null | string

Date when card last moved to done type column
sprint_id

integer

Sprint id
external_id

null | string

External id
service_id

integer

Service id
comments_total

integer

Total card comments
comment_last_added_at

null | string

Date when last comment added
properties

null | object

Schema
Card custom properties. Format: id_{propertyId}:value
planned_start

null | string

Card timeline planned start
planned_end

null | string

Card timeline planned end
counters_recalculated_at

string

Date of recalculating counters
sd_new_comment

boolean

Has unseen service desk request author comments
import_id

null | integer

Import id
public

boolean

Is card public
share_settings

null | object

Schema
Public share settings
share_id

null | string

Public share id
external_user_emails

null | string

External users emails
description_filled

boolean

Flag indicating that card has description
estimate_workload

number

Estimate_workload
checklists

array

Schema
Card checklists
owner

object

Schema
Card owner info
type

object

Schema
Card type info
board

object

Schema
Card board info
blockers

array of objects

Schema
Card blocks
members

array

Schema
Card members
slas

array of objects

Schema
SLAs attached to the card
column

object

Schema
Card column
lane

object

Schema
Card lane info
blocked_at

string

Date of card block
blocker_id

integer

User id who blocked card
blocker

object

Schema
Info of user who blocked card
block_reason

string

Block reason
children

array of objects

Schema
Card childrens
parents

array

Schema
Card parents
external_links

array

Schema
Card external links
files

array

Schema
Card files
tags

array

Schema
Card tags
cardRole

integer

User card role who made the request. 1-reader, 2-writer, 3-admin
email

string

Card email for email comment
source

enum | null

app, api, email, telegram, slack, webhook, import, schedule, automation
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.flowfast.io/api/latest/cards/{card_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!